Vai al contenuto


WinAndMac43

Installare Lion su Mac non supportati

Recommended Posts

Come tutti voi sapete Lion richiede almeno un intel Core 2 Duo, ma qualcuno è riuscito a farlo girare anche su Core Solo, e sul modello del iMac 2006 (che è un Intel Core 2 Duo ma tagliato fuori) Naturalmente non posso assicurare le performance e cosi via non avendo un mac su cui testarlo, lascio la guida e sarete voi stessi a dire se funziona o no.

Nota bene

Questa procedura non vi farà funzionare Lion su un PPC perché il codice per PPC non esiste, quindi è inutile che perdete tempo!!

Le performance di Lion su computer non supportati non le posso garantire, vi ricordo che dovete avere almeno 2 GB ed un processore che supporti i 32 bit (Si avete capito bene!!) Lion gira ancora sui 32 bit.!

(Almeno il kernel e molte delle applicazioni testate da me sono anche a 32 bit)

Prima di tutto procuratevi Lion (Lo so, nessuno acquisterebbe Lion se non funziona al 100%, ma se avete un altro mac avete già fatto, se la procedura funziona beh siete pregati di acquistarlo e in ogni caso qui il warez non è supportato)

Scaricatelo una volta fatto questo

Cliccate con tasto destro su " Installa Mac OS X Lion " Cliccate su Contents ---> SharedSupport e copiate " InstallESD.dmg " sulla scrivania (Non spostatelo altrimenti non funziona installer originale)

Apritelo con " Utility Disco " cliccate su quest' ultimo e poi cliccate su Converti

lionintel1.png

Adesso selezionate un nuovo nome come " InstallESD2 " e dal formato immagine selezionate "lettura/scrittura" se non fate questo procedimento buona notte a tutto (Non funziona o almeno dovete eseguire un altra procedura).

aspettate che crei la nuova immagine.

Adesso avete bisogno di un editor per modificare i .plist il tool standard è " Property List Editor " ma si trova nel pacchetto Dev (con XCode per Mac) quindi se non avete installato, non c' è. Dovete scaricarlo ed installarlo (Se avete il DVD fate prima) altrimenti potete usare un editor di testo come TextMate, BBEdit ed anche TextWrangler che è gratis, i primi 2 sono a pagamento.

Altrimenti un alternativa c' è a Property ma è a pagamento ed è PlistEdit Pro qualsiasi cosa scegliete, è una vostra preferenza quindi non è un problema.

Una volta creata immagine, apritela

Lion 2

Se per caso vedete il divieto su Installa Mac OS X, perchè avete bisogno di una versione di Snow aggiornata almeno 10.6.6.

Se volete aggiornare non eseguite questa procedura, per aggiornare è richiesto Snow Leopard aggiornato all' ultima versione!!

Questo tricks vi serve soltanto per provare Mac OS X Lion su un altro Hardisk, non sul principale (Visto che non è una procedura testata, non installatelo sul principale e dopo non venite da me a chiedere!!!)

Spostate " Installa Mac OS X Lion" sulla scrivania quello presente nel immagine nuova che avete appena creato!! tasto destro --> Mostra Contenuto Pacchetto --> Contents ---> Adesso aprite Info.plist

Spostatevi su " Minimum system version " e modificate la 10.6.6 con una versione più bassa ad esempio, io ho un Mac con OS X 10.6.4 quindi ho inserito 10.6.2, decidete voi. Se avete Leopard cambiate con 10.5.1 e cosi via.

A)Se avete Property List Editor o PlistEdit Pro questa è la schermata

Lion 3

B)Se state usando Textmate, BBedit o TextWrangler la procedura è un pochino diversa, aprite sempre il file Info.plist

dovete trovare però <key>LSMinimumSystemVersion</key> sotto troverete <string>10.6.6</string> come sopra modificate in base alla vostra versione.

Questa è la schermata

Lion 4

Adesso non vi basta che ricopiare " Installa Mac OS X Lion " nel immagine che avete ricopiato e il divieto non sarà più presente e potete continuare.

Adesso dobbiamo rimuovere il blocco avete 2 soluzioni. Scegliete voi quale preferite.

Partiamo dalla prima che è la più semplice.

1) Eliminare i file che eseguono il controllo.

Dirigetevi nel immagine che avete creato ed apritela, cliccate su System --> Library --> CoreServices

Eliminate i file "Platformsupport.plist" e "InstallableMachines.plist"

Aprite la cartella com.apple.recovery.boot ed eliminate anche qui "Platformsupport.plist"

Adesso non vi resta che procedere all' installazione o copiare immagine su un DVD o USB come suggerito in questo topic Click

Dato che la guida non è testata provate su una macchina e un hardisk che non vi servono!! Non installate sul Hardisk primario!!!

2) (Questo per chi vuole provare altro metodo)

Aggiungere il supporto ad i file per il vostro mac

Aprite terminale e digitate questa stringa

ioreg -lp IOService | grep board-id

Dovrebbe ridarvi id della vostra macchina

Lion 5

Dirigetevi nel immagine che avete creato ed apritela, cliccate su System --> Library --> CoreServices

ed aprite il file "Platformsupport.plist" controllate che non ci sia il vostro ID (Ma dubito state installando su una macchina che non è supportato :P il mio c' è perché sto scrivendo il tutorial da un iMac supportato)

A)Adesso aprite il file con Property List Editor o PlistEdit Pro ---> Aprite SupportedBoardIds con la freccia e scendete fino è in basso cliccate sul item 60, adesso vedete un "+" a destra cliccate su e aggiungete solo il numero di board con Mac ovvero il mio in questo caso " Mac-F2218FA9 "

Lion 6

salvate e chiudete. Dovete ripetere operazione per il file InstallableMachines.plist"

e un altro "Platformsupport.plist" che si trova i com.apple.recovery.boot (Che è una cartella)

B)Se state usando Textmate, BBedit o TextWrangler la procedura è questa qui aprite il file come sempre e aggiungete una stringa cosi

<string>Mia board</string>

a posto di Mia Board ci inserite quello che è uscito dal terminale che inizia con Mac-blabla

Lion 7

salvate e chiudete. Dovete ripetere operazione per il file InstallableMachines.plist"

e un altro "Platformsupport.plist" che si trova i com.apple.recovery.boot (Che è una cartella)

Una volta finito non vi resta che procedere all' installazione o copiare immagine su un DVD o USB come suggerito in questo topic Click

Dato che la guida non è testata provate su una macchina e un hardisk che non vi servono!! Non installate sul Hardisk primario!!!

DIFFERENZE PRIMO METODO E SECONDO

Nel primo eliminiamo completamente i file, che apple potrebbe introdurre con un aggiornamento e bloccarvi, nel 2 invece aggiungiamo il supporto ed apple normalmente negli installer fa semplicemente un "Check" ovvero controlla che il file sia presente e se non lo è lo scrive, altrimenti non lo inserisce.

La 2 procedura potrebbe spaventare ma si tratta di perdere 5 minuti in più ed è più sicura.

Quindi consiglio la 2.

Dato che la guida è stata provata con le prime 2 beta, non so se funziona ancora e vi lascio a voi provare (Naturalmente spero in qualche smanettone) ricordartevi di non usare mai la partizione principale e di non sovrascrivere il sistema che usate e naturalmente di fornire il feedback se tutto è andato per il verso giusto!! Aspetto il vostro feedback cosi potremmo dichiarare la guida ancora buona o buttarla ;)

Le immagini sono elencate con i link, perché non posso inserirle tutte, c' è un limite, se gli Admin intervengono.

Non chiedete dove scaricare Lion, parlare di pirateria o altre cose simili. Ne io e ne lo staff siamo responsabili della procedura, la testerete a vostro rischio e pericolo!!!

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti


grazie per la guida, ma sembra non funzionare, anche perchè non trovo la cartella SharedSupport, neanche abilitando i file nascosti.... :cry:

riuscirò a far girare Lion sul mio povero Mac del 2006? :barella:

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Ciao a tutti, è il primo post su questo forum, quindi un saluto a tutta la community!

Sto cercando di installare questo benedetto Lion sul mio iMac Early 2006 moddato con processore core2duo T7600 installato un paio di giorni fa e perfettamente funzionante (vi sto proprio postando con l'iMac).

Premetto innanzitutto che ho Acquistato ed installato regolarmente Lion su MacBook Pro, ma non avendola salvata dopo l'installazione l'ho riscaricata via torrent

Ho provato ovviamente a far partire l'installer prima di trovare questo tutorial, ma chiaramente, il fatto che avessi un processore Core2Duo non gli interessava, il mio iMac4,1 non è nella lista dei mac supportati percui il messaggio di errore era "il vostro mac non è supportato".

Poi ho provato a modificare questi file plist (che poi sono identici tutti e tre) cercando l'ID del mio mac che è un Mac-F42787C8, e aggiungendolo nell'elenco.

Intanto preciso che ho (compreso il mio iMac aggiunto) 62 item anzichè 61 come nel tutorial.

Finito questo lavoro provo a lanciare l'installazione ma non sembra funzionare. Continua a dirmi che il mac non è supportato.

Ho poi cercato in internet un altra immagine disco con i mac aggiunti, ma manco quella funziona, lanciando il setup dall'iso, mi dice che l'i'mmagine è danneggiata e creando un USB bootabile, riappare il solito messaggio "mac non supportato" (in effetti nelle info della dmg il mio imac non appare nell'elenco, ma non sto a rimodificare tutta anche qui......

Insomma, ora terzo tentativo: ho scoperto come riscaricare l'installazione originale da Appstore e la sto scaricando dal MacBook Pro, speriamo che almeno con quella riesca a fare partire questa benedetta installazione!

Qualche idea? Faccio qualche errore? Spero in una vostra risposta....... :(

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Niente da fare. Pare che anche scaricando la versione ufficiale dall'appstore e modificando i tre file "InstallableMachines.plist" e "Platformsupport.plist" non sia sufficiente. Online ho letto che occorre aprire il file Essentials.pkg all'interno della cartella Packages e cercare il file "Platformsupport.plist" o "InstallableMachines.plist" anche lì, e ovviamente, modificare anche quelli.

Solo modificando i file indicati in questo tutorial, non si ottiene nulla. Riavvio il mac e premo Alt al riavvio, lancio il boot dalla pen drive USB ma quando arrivo all'installazione vera e propria mi dice che il mio mac non è supportato.

Ora sto provando ad installare Lion sulla pendrive tramite il MacBook Pro e successivamente cancellerò i file "Platformsupport.plist" o "InstallableMachines.plist" che si trovano all'interno dei core service. Sempre che questo funzioni.... Uff....

Gli altri fan sempre tutto con due click e io mi ritrovo sempre a tribolare.... :(

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Beh alla fine ho installato Lion su una chiavetta (chi ho messo un macello di tempo), ho cancellato il file "Platformsupport.plist" da Sistema/libreria/coreservice e ho avviato l'iMac da pendrive.

Funziona.

Ora devo solo fare due cose:

tentare di ripetere la stessa cosa, lmodificando il file "Platformsupport.plist" e aggiungendo il mio mac model con Plist editor, e vedere se funziona

copiare tutto il contenuto della pendrive su una partizione dell'iMac per rendere la cosa definitiva.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

caspita, sei riuscito ad installare alla fine lion su un mac non supportato giusto?!?

io ho un macbook pro cd 2006 ma non riesco proprio a farlo a girare, ho provato diverse guide, ma nulla, mi dice sempre che non è possibile installarlo; hai qualche consiglio a riguardo?!? :DD

Grazie mille....

ciao :ciao:

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Ciao a tutti,

se qualcuno è riuscito a installare Lion su mac non supportato processore Intel, può completare la guida qui di sopra indicata.

Purtroppo come già indicato da MrTFM e Nivol23, anche modificando i file o cancellandoli, il messaggio dell'istallazione è sempre lo stesso MAC NON SUPPORTATO

Ringrazio tutti per la disponibilità

:ciao:

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Scusate il ritardo....

Il metodo più semplice per installare Lion sui Mac non supportati è quella di avviarli in target disk mode, collevarli via firewire ad un altro mac supportato e installare Lion sul target disk...

Dopo aver completato l'installazione e la configurazione del sistema lo spegnete, riavviate il mac non supportato in target mode, avviate il mac supportato con il suo sistema operativo, e cancellate il file platform support oppure meglio ancora lo modificate aggiungendo il numero di serie del vostro mac.

Ora rispedente tutto e ricollegata il mac non supportato in target mode al mac supportato ed eseguite la riparazione dei permessi di sistema con Utility disco e il gioco è fatto.

Salvatevi il Platform support da qualche parte che potrebbe servire ancora.

Ora potete avviare il mac supportato e usare Lion.....

Io ho un iMac Core 2 Duo (ex Core Duo) 20'' Early 2006 con Lion.

*Nota: quando esce un aggiornamento (per i primi due ha funzionato, per il terzo non so) eseguite l'aggiornamento, poi al riavvio il mac dirà che non è supportato. Quindi voi prendete il mac non supportato, lo avviate in target mode, avviate il mac supportato usando il target mode e fae una semplice riparazione dei permessi e dovrebbe andare tutto a posto.

Nel caso prima ddi riparare i permessi rimettete il platform support che vi eravate salvati prima.

Unico neo a mio modo di vedere è che Lion prende troppa ram (circa 600 mega solo per stare acceso senza fare nulla). Per usarlo bene servirebbero 4 giga, purtroppo il mio ne supporta solo 2 che sono un po' pochini. E la Scheda video è decisamente obsoleta per supportare questo sistema operativo....

Infatti, se volete sapere com'è finita la cosa, ho l'iMAC FUORI USO perché faticando troppo a lungo andare, si dev'essere surriscaldato una volta di troppo e ora non si accende più. Lo riparerò e lo userò ancora, ma solo come computer d'emergenza. 6 anni di vita per i Mac con Intel sono troppi se uno li usa sempre al massimo...

Modificato da MrTFM

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Riapro perché anche a me era venuta la scimmia di aggiornare il mio early 2006,ma senza successo dopo 3 giorni di smanettamento. Alla fine per quello che ci faccio lascio su SL 10.6.8 anche se poi vedi su YouTube le stesse macchine con addirittura yosemite su...inoltre il fatto che sia un core duo e non 2 duo rende impossibile l'installazione. E meno male che l'assistenza apple prima di acquistarlo mi aveva detto non ci fossero problemi perché era tutto ok.... 

Modificato da Dafe

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
Il 23/06/2017 at 14:34, Dafe dice:

Riapro perché anche a me era venuta la scimmia di aggiornare il mio early 2006,ma senza successo dopo 3 giorni di smanettamento. Alla fine per quello che ci faccio lascio su SL 10.6.8 anche se poi vedi su YouTube le stesse macchine con addirittura yosemite su...inoltre il fatto che sia un core duo e non 2 duo rende impossibile l'installazione. E meno male che l'assistenza apple prima di acquistarlo mi aveva detto non ci fossero problemi perché era tutto ok.... 

 

 

:confused:

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Crea un account o accedi per lasciare un commento

You need to be a member in order to leave a comment

Crea un account

Iscriviti alla nostra comunità. È facile!

Crea un nuovo account

Accedi

Sei già iscritto? Accedi qui.

Accedi Ora

  • Statistiche forum

    528873
    Discussioni Totali
    6332149
    Risposte Totali
  • Statistiche Utenti

    122007
    Utenti totali
    14120
    Record utenti online
    dario71
    Nuovo iscritto
    dario71
    Iscritto
  • Statistiche annunci

    105
    Annunci attivi
    18
    Domande
    0
    Recensioni
    0
    Offerte
    Ultimi Annunci
    By angillo
    mese e 1 giorno
×